Bug 1425767 - grafton-sanity-check doesn't fail when a given disk doesn't exist or disk is not blank
Summary: grafton-sanity-check doesn't fail when a given disk doesn't exist or disk is ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Sachidananda Urs
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1433896
TreeView+ depends on / blocked
 
Reported: 2017-02-22 11:10 UTC by Ramesh N
Modified: 2018-10-22 05:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-22 05:38:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1405447 None CLOSED [RFE] Provide the configuration check for Grafton deployment 2019-04-01 01:55:42 UTC

Internal Links: 1405447

Description Ramesh N 2017-02-22 11:10:39 UTC
Description of problem:

grafton-sanity-check doesn't fail when a given disk doesn't exist or disk is not empty

Version-Release number of selected component (if applicable):
gdeploy-2.0.1-11.el7rhgs

How reproducible:
Always

Steps to Reproduce:
1. Create gdeploy configuration file like the following.
##################################################################
[hosts]
dhcp42-123.lab.eng.blr.redhat.com
dhcp43-152.lab.eng.blr.redhat.com

[script1]
action=execute
ignore_script_errors=no
file=/usr/share/ansible/gdeploy/scripts/grafton-sanity-check.sh -d vdb,xxx -h dhcp42-123.lab.eng.blr.redhat.com,dhcp43-152.lab.eng.blr.redhat.com
########################################################################

2. Give a disk name which does not exists and another disk name which is already used (Either as OS partition or as Gluster Brick)

  In the above example, disk 'vdb' is used already used for OS installation and disk 'xxx' doesn't exists in any system.

Actual results:
[root@dhcp42-123 ~]# echo $?
0
[root@dhcp42-123 ~]# 


grafton-sanity-check.sh passes and return success code 0. 


Expected results:

grafton-sanity-check.sh should fail to indicate that disk xxx doesn't exist and disk 'vdb' is not blank.

Comment 4 Sachidananda Urs 2018-10-22 05:38:55 UTC
This will be handled in gluster-ansible releases


Note You need to log in before you can comment on or make changes to this bug.